org.opencv.features2d

## Class FeatureDetector

- java.lang.Object
- - org.opencv.features2d.FeatureDetector

- Deprecated.
  Please use direct instantiation of Feature2D classes

      @Deprecated
      public class FeatureDetector
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AKAZE` Deprecated.
    `static int` | `BRISK` Deprecated.
    `static int` | `DENSE` Deprecated.
    `static int` | `DYNAMIC_AKAZE` Deprecated.
    `static int` | `DYNAMIC_BRISK` Deprecated.
    `static int` | `DYNAMIC_DENSE` Deprecated.
    `static int` | `DYNAMIC_FAST` Deprecated.
    `static int` | `DYNAMIC_GFTT` Deprecated.
    `static int` | `DYNAMIC_HARRIS` Deprecated.
    `static int` | `DYNAMIC_MSER` Deprecated.
    `static int` | `DYNAMIC_ORB` Deprecated.
    `static int` | `DYNAMIC_SIFT` Deprecated.
    `static int` | `DYNAMIC_SIMPLEBLOB` Deprecated.
    `static int` | `DYNAMIC_STAR` Deprecated.
    `static int` | `DYNAMIC_SURF` Deprecated.
    `static int` | `FAST` Deprecated.
    `static int` | `GFTT` Deprecated.
    `static int` | `GRID_AKAZE` Deprecated.
    `static int` | `GRID_BRISK` Deprecated.
    `static int` | `GRID_DENSE` Deprecated.
    `static int` | `GRID_FAST` Deprecated.
    `static int` | `GRID_GFTT` Deprecated.
    `static int` | `GRID_HARRIS` Deprecated.
    `static int` | `GRID_MSER` Deprecated.
    `static int` | `GRID_ORB` Deprecated.
    `static int` | `GRID_SIFT` Deprecated.
    `static int` | `GRID_SIMPLEBLOB` Deprecated.
    `static int` | `GRID_STAR` Deprecated.
    `static int` | `GRID_SURF` Deprecated.
    `static int` | `HARRIS` Deprecated.
    `static int` | `MSER` Deprecated.
    `protected long` | `nativeObj` Deprecated.
    `static int` | `ORB` Deprecated.
    `static int` | `PYRAMID_AKAZE` Deprecated.
    `static int` | `PYRAMID_BRISK` Deprecated.
    `static int` | `PYRAMID_DENSE` Deprecated.
    `static int` | `PYRAMID_FAST` Deprecated.
    `static int` | `PYRAMID_GFTT` Deprecated.
    `static int` | `PYRAMID_HARRIS` Deprecated.
    `static int` | `PYRAMID_MSER` Deprecated.
    `static int` | `PYRAMID_ORB` Deprecated.
    `static int` | `PYRAMID_SIFT` Deprecated.
    `static int` | `PYRAMID_SIMPLEBLOB` Deprecated.
    `static int` | `PYRAMID_STAR` Deprecated.
    `static int` | `PYRAMID_SURF` Deprecated.
    `static int` | `SIFT` Deprecated.
    `static int` | `SIMPLEBLOB` Deprecated.
    `static int` | `STAR` Deprecated.
    `static int` | `SURF` Deprecated.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FeatureDetector(long addr)` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FeatureDetector` | `__fromPtr__(long addr)` Deprecated.
    `static FeatureDetector` | `create(int detectorType)` Deprecated.
    `void` | `detect(List<Mat> images, List<MatOfKeyPoint> keypoints)` Deprecated.
    `void` | `detect(List<Mat> images, List<MatOfKeyPoint> keypoints, List<Mat> masks)` Deprecated.
    `void` | `detect(Mat image, MatOfKeyPoint keypoints)` Deprecated.
    `void` | `detect(Mat image, MatOfKeyPoint keypoints, Mat mask)` Deprecated.
    `boolean` | `empty()` Deprecated.
    `protected void` | `finalize()` Deprecated.
    `long` | `getNativeObjAddr()` Deprecated.
    `void` | `read(String fileName)` Deprecated.
    `void` | `write(String fileName)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

      Deprecated.

    - #### FAST

          public static final int FAST

      Deprecated.
      See Also:
        Constant Field Values

    - #### STAR

          public static final int STAR

      Deprecated.
      See Also:
        Constant Field Values

    - #### SIFT

          public static final int SIFT

      Deprecated.
      See Also:
        Constant Field Values

    - #### SURF

          public static final int SURF

      Deprecated.
      See Also:
        Constant Field Values

    - #### ORB

          public static final int ORB

      Deprecated.
      See Also:
        Constant Field Values

    - #### MSER

          public static final int MSER

      Deprecated.
      See Also:
        Constant Field Values

    - #### GFTT

          public static final int GFTT

      Deprecated.
      See Also:
        Constant Field Values

    - #### HARRIS

          public static final int HARRIS

      Deprecated.
      See Also:
        Constant Field Values

    - #### SIMPLEBLOB

          public static final int SIMPLEBLOB

      Deprecated.
      See Also:
        Constant Field Values

    - #### DENSE

          public static final int DENSE

      Deprecated.
      See Also:
        Constant Field Values

    - #### BRISK

          public static final int BRISK

      Deprecated.
      See Also:
        Constant Field Values

    - #### AKAZE

          public static final int AKAZE

      Deprecated.
      See Also:
        Constant Field Values

    - #### GRID_FAST

          public static final int GRID_FAST

      Deprecated.
      See Also:
        Constant Field Values

    - #### GRID_STAR

          public static final int GRID_STAR

      Deprecated.
      See Also:
        Constant Field Values

    - #### GRID_SIFT

          public static final int GRID_SIFT

      Deprecated.
      See Also:
        Constant Field Values

    - #### GRID_SURF

          public static final int GRID_SURF

      Deprecated.
      See Also:
        Constant Field Values

    - #### GRID_ORB

          public static final int GRID_ORB

      Deprecated.
      See Also:
        Constant Field Values

    - #### GRID_MSER

          public static final int GRID_MSER

      Deprecated.
      See Also:
        Constant Field Values

    - #### GRID_GFTT

          public static final int GRID_GFTT

      Deprecated.
      See Also:
        Constant Field Values

    - #### GRID_HARRIS

          public static final int GRID_HARRIS

      Deprecated.
      See Also:
        Constant Field Values

    - #### GRID_SIMPLEBLOB

          public static final int GRID_SIMPLEBLOB

      Deprecated.
      See Also:
        Constant Field Values

    - #### GRID_DENSE

          public static final int GRID_DENSE

      Deprecated.
      See Also:
        Constant Field Values

    - #### GRID_BRISK

          public static final int GRID_BRISK

      Deprecated.
      See Also:
        Constant Field Values

    - #### GRID_AKAZE

          public static final int GRID_AKAZE

      Deprecated.
      See Also:
        Constant Field Values

    - #### PYRAMID_FAST

          public static final int PYRAMID_FAST

      Deprecated.
      See Also:
        Constant Field Values

    - #### PYRAMID_STAR

          public static final int PYRAMID_STAR

      Deprecated.
      See Also:
        Constant Field Values

    - #### PYRAMID_SIFT

          public static final int PYRAMID_SIFT

      Deprecated.
      See Also:
        Constant Field Values

    - #### PYRAMID_SURF

          public static final int PYRAMID_SURF

      Deprecated.
      See Also:
        Constant Field Values

    - #### PYRAMID_ORB

          public static final int PYRAMID_ORB

      Deprecated.
      See Also:
        Constant Field Values

    - #### PYRAMID_MSER

          public static final int PYRAMID_MSER

      Deprecated.
      See Also:
        Constant Field Values

    - #### PYRAMID_GFTT

          public static final int PYRAMID_GFTT

      Deprecated.
      See Also:
        Constant Field Values

    - #### PYRAMID_HARRIS

          public static final int PYRAMID_HARRIS

      Deprecated.
      See Also:
        Constant Field Values

    - #### PYRAMID_SIMPLEBLOB

          public static final int PYRAMID_SIMPLEBLOB

      Deprecated.
      See Also:
        Constant Field Values

    - #### PYRAMID_DENSE

          public static final int PYRAMID_DENSE

      Deprecated.
      See Also:
        Constant Field Values

    - #### PYRAMID_BRISK

          public static final int PYRAMID_BRISK

      Deprecated.
      See Also:
        Constant Field Values

    - #### PYRAMID_AKAZE

          public static final int PYRAMID_AKAZE

      Deprecated.
      See Also:
        Constant Field Values

    - #### DYNAMIC_FAST

          public static final int DYNAMIC_FAST

      Deprecated.
      See Also:
        Constant Field Values

    - #### DYNAMIC_STAR

          public static final int DYNAMIC_STAR

      Deprecated.
      See Also:
        Constant Field Values

    - #### DYNAMIC_SIFT

          public static final int DYNAMIC_SIFT

      Deprecated.
      See Also:
        Constant Field Values

    - #### DYNAMIC_SURF

          public static final int DYNAMIC_SURF

      Deprecated.
      See Also:
        Constant Field Values

    - #### DYNAMIC_ORB

          public static final int DYNAMIC_ORB

      Deprecated.
      See Also:
        Constant Field Values

    - #### DYNAMIC_MSER

          public static final int DYNAMIC_MSER

      Deprecated.
      See Also:
        Constant Field Values

    - #### DYNAMIC_GFTT

          public static final int DYNAMIC_GFTT

      Deprecated.
      See Also:
        Constant Field Values

    - #### DYNAMIC_HARRIS

          public static final int DYNAMIC_HARRIS

      Deprecated.
      See Also:
        Constant Field Values

    - #### DYNAMIC_SIMPLEBLOB

          public static final int DYNAMIC_SIMPLEBLOB

      Deprecated.
      See Also:
        Constant Field Values

    - #### DYNAMIC_DENSE

          public static final int DYNAMIC_DENSE

      Deprecated.
      See Also:
        Constant Field Values

    - #### DYNAMIC_BRISK

          public static final int DYNAMIC_BRISK

      Deprecated.
      See Also:
        Constant Field Values

    - #### DYNAMIC_AKAZE

          public static final int DYNAMIC_AKAZE

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FeatureDetector

          protected FeatureDetector(long addr)

      Deprecated.

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

      Deprecated.

    - #### __fromPtr__

          public static FeatureDetector __fromPtr__(long addr)

      Deprecated.

    - #### create

          @Deprecated
          public static FeatureDetector create(int detectorType)

      Deprecated.
      supported: FAST STAR SIFT SURF ORB MSER GFTT HARRIS BRISK AKAZE Grid(XXXX) Pyramid(XXXX) Dynamic(XXXX) not supported: SimpleBlob, Dense
      Parameters:
        `detectorType` - automatically generated
      Returns:
        automatically generated

    - #### empty

          public boolean empty()

      Deprecated.

    - #### detect

          public void detect(Mat image,
                             MatOfKeyPoint keypoints,
                             Mat mask)

      Deprecated.

    - #### detect

          public void detect(Mat image,
                             MatOfKeyPoint keypoints)

      Deprecated.

    - #### detect

          public void detect(List<Mat> images,
                             List<MatOfKeyPoint> keypoints,
                             List<Mat> masks)

      Deprecated.

    - #### detect

          public void detect(List<Mat> images,
                             List<MatOfKeyPoint> keypoints)

      Deprecated.

    - #### read

          public void read(String fileName)

      Deprecated.

    - #### write

          public void write(String fileName)

      Deprecated.

    - #### finalize

          protected void finalize()
                           throws Throwable

      Deprecated.
      Overrides:
        `finalize` in class `Object`
      Throws:
        `Throwable`

Generated on Wed Oct 9 2019 16:55:37 UTC / OpenCV 3.4.8